View Issue Details

IDProjectCategoryView StatusLast Update
0016383ScribusUser Interfacepublic2021-01-07 17:56
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016383: [Patch] Unify margins for dockable interfaces and some modal windows
DescriptionThis patch continues 0016371 and 0016381.

- I found that general margins for dock widget is 3px, but some dock widgets use custom margins. I suggest to unify them in the attached patch.
- I found that some modal windows not using the standard 9px margin and 6px internal space. I propose in this patch to unify often used interfaces. (But not all... patch is huge.)

Please review the patch. I made screenshots to help verifying the changes. Please see them.

ps. What do you prefer? If I found more affected interfaces... Should I send the patches separately or several at once?
TagsNo tags attached.
PatchNo

Relationships

related to 0016400 resolvedjghali Update layout for About and About Plugins dialogs 
related to 0016401 resolvedjghali Update margins for Picture Browser 
related to 0016402 resolvedjghali Update margins for Preflight Verifier, Colors and Fills and Print/Output preview dialogs 
related to 0016403 resolvedjghali Unify margins for New document (startup)/New document dialog 
related to 0016407 resolvedjghali Unify spacing and margin for dock palettes 

Activities

bubu

2020-12-11 18:27

reporter  

dockwidgets_and_window_margin.diff (24,194 bytes)
diff --git a/scribus/plugins/picbrowser/picturebrowser.ui b/scribus/plugins/picbrowser/picturebrowser.ui
index 45e37a84f82c851c15002e58982a9494ec2c9c2e..2dd0e63bb2cb11204ec01560f1916b7c0d25a572 100644
--- a/scribus/plugins/picbrowser/picturebrowser.ui
+++ b/scribus/plugins/picbrowser/picturebrowser.ui
@@ -87,6 +87,21 @@
              </property>
              <widget class="QWidget" name="folderpage">
               <layout class="QVBoxLayout" name="verticalLayout_2">
+               <property name="spacing">
+                <number>3</number>
+               </property>
+               <property name="leftMargin">
+                <number>0</number>
+               </property>
+               <property name="topMargin">
+                <number>0</number>
+               </property>
+               <property name="rightMargin">
+                <number>0</number>
+               </property>
+               <property name="bottomMargin">
+                <number>0</number>
+               </property>
                <item>
                 <widget class="QCheckBox" name="subdirsCheckbox">
                  <property name="text">
@@ -135,6 +150,18 @@
                  </property>
                  <widget class="QWidget" name="page_5">
                   <layout class="QHBoxLayout" name="horizontalLayout_2">
+                   <property name="leftMargin">
+                    <number>0</number>
+                   </property>
+                   <property name="topMargin">
+                    <number>0</number>
+                   </property>
+                   <property name="rightMargin">
+                    <number>0</number>
+                   </property>
+                   <property name="bottomMargin">
+                    <number>0</number>
+                   </property>
                    <item>
                     <widget class="QPushButton" name="collectionsNewCategoryButton">
                      <property name="minimumSize">
diff --git a/scribus/ui/about.cpp b/scribus/ui/about.cpp
index e6b583faf95762329c8a8ea2af1650fabb53f538..42bfc36c070946b6b1447ba3fe45a9f03b2bd99e 100644
--- a/scribus/ui/about.cpp
+++ b/scribus/ui/about.cpp
@@ -99,13 +99,13 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	setModal(true);
 	aboutLayout = new QVBoxLayout( this );
 	aboutLayout->setSpacing( 6 );
-	aboutLayout->setMargin( 10 );
+	aboutLayout->setContentsMargins( 9, 9, 9, 9 );
 	tabWidget2 = new QTabWidget( this );
 //	tabWidget2->setMinimumSize( QSize( 438, 258 ) );
 	tab = new QWidget( tabWidget2 );
 	tabLayout1 = new QVBoxLayout( tab );
 	tabLayout1->setSpacing( 6 );
-	tabLayout1->setMargin( 15 );
+	tabLayout1->setContentsMargins( 9, 9, 9, 9 );
 
 	double pixelRatio = devicePixelRatioF();
 	QPixmap splashPixmap = IconManager::instance().loadPixmap("scribus_splash.png", true);
@@ -192,7 +192,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	tab_2 = new QWidget( tabWidget2 );
 	tabLayout = new QHBoxLayout( tab_2 );
 	tabLayout->setSpacing( 6 );
-	tabLayout->setMargin( 10 );
+	tabLayout->setContentsMargins( 9, 9, 9, 9 );
 	authorView = new QTextBrowser( tab_2 );
 	authorView->setHtml(About::parseAuthorFile(ScPaths::instance().docDir() + "AUTHORS"));
 	tabLayout->addWidget( authorView );
@@ -202,7 +202,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	tab_3 = new QWidget( tabWidget2 );
 	tabLayout_2 = new QHBoxLayout( tab_3 );
 	tabLayout_2->setSpacing( 6 );
-	tabLayout_2->setMargin( 10 );
+	tabLayout_2->setContentsMargins( 9, 9, 9, 9 );
 	transView = new QTextBrowser( tab_3);
 	transView->setHtml(About::parseTranslationFile(ScPaths::instance().docDir() + "TRANSLATION"));
 	tabLayout_2->addWidget( transView );
@@ -215,7 +215,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	onlineView->setOpenExternalLinks(true);
 	tabLayout_4 = new QHBoxLayout( tab_4 );
 	tabLayout_4->setSpacing( 6 );
-	tabLayout_4->setMargin( 10 );
+	tabLayout_4->setContentsMargins( 9, 9, 9, 9 );
 	tabLayout_4->addWidget( onlineView );
 	tabWidget2->addTab( tab_4, tr( "&Online" ) );
 
@@ -225,7 +225,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	tabWidget2->addTab( tab_5, tr( "&Updates" ) );
 	updateLayout = new QVBoxLayout( tab_5 );
 	updateLayout->setSpacing( 6 );
-	updateLayout->setMargin( 10 );
+	updateLayout->setContentsMargins( 9, 9, 9, 9 );
 	checkForUpdateButton = new QPushButton( tr( "Check for Updates" ), tab_5 );
 	updateView = new QTextBrowser( tab_5);
 	updateLayout->addWidget( checkForUpdateButton );
@@ -236,7 +236,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 	tabWidget2->addTab( tab_Licence, tr( "&Licence" ) );
 	licenceLayout = new QVBoxLayout( tab_Licence );
 	licenceLayout->setSpacing( 6 );
-	licenceLayout->setMargin( 10 );
+	licenceLayout->setContentsMargins( 9, 9, 9, 9 );
 	textViewLicence = new QTextBrowser( tab_Licence);
 	licenceLayout->addWidget( textViewLicence );
 	
@@ -257,7 +257,7 @@ About::About( QWidget* parent, AboutMode diaMode ) : QDialog( parent )
 
 	layout2 = new QHBoxLayout;
 	layout2->setSpacing( 6 );
-	layout2->setMargin( 0 );
+	layout2->setContentsMargins( 0, 0, 0, 0 );
 	QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	layout2->addItem( spacer );
 	okButton = new QPushButton( tr( "&Close" ), this );
diff --git a/scribus/ui/aboutplugins.ui b/scribus/ui/aboutplugins.ui
index a27085db9ff58f86a962240e4a67cb78ebce4817..6cb1ef4123c24930ef49cfdf4eb000591330082f 100644
--- a/scribus/ui/aboutplugins.ui
+++ b/scribus/ui/aboutplugins.ui
@@ -13,12 +13,6 @@
    <string>Scribus: About Plug-ins</string>
   </property>
   <layout class="QVBoxLayout" >
-   <property name="margin" >
-    <number>10</number>
-   </property>
-   <property name="spacing" >
-    <number>5</number>
-   </property>
    <item>
     <widget class="QSplitter" name="splitter" >
      <property name="orientation" >
diff --git a/scribus/ui/aligndistribute.ui b/scribus/ui/aligndistribute.ui
index 8e9ae8e397f71f55ff025da5aa2bb964561ada91..9d784a25b23c42a9e27c1d8e84149245a90ea979 100644
--- a/scribus/ui/aligndistribute.ui
+++ b/scribus/ui/aligndistribute.ui
@@ -15,6 +15,18 @@
   </property>
   <widget class="QWidget" name="dockWidgetContents">
    <layout class="QVBoxLayout" name="verticalLayout_3">
+    <property name="leftMargin">
+     <number>3</number>
+    </property>
+    <property name="topMargin">
+     <number>3</number>
+    </property>
+    <property name="rightMargin">
+     <number>3</number>
+    </property>
+    <property name="bottomMargin">
+     <number>3</number>
+    </property>
     <item>
      <widget class="QTabWidget" name="tabWidget">
       <property name="currentIndex">
diff --git a/scribus/ui/checkDocument.cpp b/scribus/ui/checkDocument.cpp
index bacd3e1dc5b00d851560bb987848517cff0a925b..41eec33e748514193c0a6608943a94cf580e9923 100644
--- a/scribus/ui/checkDocument.cpp
+++ b/scribus/ui/checkDocument.cpp
@@ -46,12 +46,12 @@ CheckDocument::CheckDocument( QWidget* parent, bool modal )
 	iconSetChange();
 
 	checkDocumentLayout = new QVBoxLayout( this );
-	checkDocumentLayout->setMargin(5);
-	checkDocumentLayout->setSpacing(5);
+	checkDocumentLayout->setContentsMargins(9, 9, 9, 9);
+	checkDocumentLayout->setSpacing(6);
 
 	layout1 = new QHBoxLayout;
 	layout1->setMargin(0);
-	layout1->setSpacing(5);
+	layout1->setSpacing(6);
 	textLabel1 = new QLabel( this );
 	layout1->addWidget( textLabel1 );
 	curCheckProfile = new QComboBox( this );
@@ -67,7 +67,7 @@ CheckDocument::CheckDocument( QWidget* parent, bool modal )
 
 	layout2 = new QHBoxLayout;
 	layout2->setMargin(0);
-	layout2->setSpacing(5);
+	layout2->setSpacing(6);
 	reScan = new QPushButton(this );
 	layout2->addWidget( reScan );
 	QSpacerItem* spacer = new QSpacerItem( 2, 2, QSizePolicy::Expanding, QSizePolicy::Minimum );
diff --git a/scribus/ui/colorsandfillsbase.ui b/scribus/ui/colorsandfillsbase.ui
index af6a0efd93dd88f6c80ba4df7588ff731054376c..56f3eebf74af064ab0b88c81749e3ff881c00cb7 100644
--- a/scribus/ui/colorsandfillsbase.ui
+++ b/scribus/ui/colorsandfillsbase.ui
@@ -21,19 +21,7 @@
   </property>
   <layout class="QHBoxLayout" name="horizontalLayout" stretch="1,0">
    <property name="spacing">
-    <number>5</number>
-   </property>
-   <property name="leftMargin">
-    <number>5</number>
-   </property>
-   <property name="topMargin">
-    <number>5</number>
-   </property>
-   <property name="rightMargin">
-    <number>5</number>
-   </property>
-   <property name="bottomMargin">
-    <number>5</number>
+    <number>6</number>
    </property>
    <item>
     <widget class="QTreeWidget" name="dataTree">
diff --git a/scribus/ui/inspage.cpp b/scribus/ui/inspage.cpp
index 29c1ed38ad066a1228f21f97037815efe4f27e56..d829509d277cee84bc33faa8134565b6ed764c50 100644
--- a/scribus/ui/inspage.cpp
+++ b/scribus/ui/inspage.cpp
@@ -33,11 +33,11 @@ InsPage::InsPage( QWidget* parent, ScribusDoc* currentDoc, int currentPage, int
 	setWindowTitle( tr( "Insert Page" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	dialogLayout = new QVBoxLayout(this);
-	dialogLayout->setSpacing( 5 );
-	dialogLayout->setMargin( 5 );
+	dialogLayout->setSpacing( 6 );
+	dialogLayout->setContentsMargins( 9, 9, 9, 9 );
 	whereLayout = new QGridLayout();
-	whereLayout->setSpacing( 5 );
-	whereLayout->setMargin( 5 );
+	whereLayout->setSpacing( 6 );
+	whereLayout->setContentsMargins( 0, 0, 0, 0 );
 	insCountData = new QSpinBox( this );
 	insCountData->setMinimum(1);
 	insCountData->setMaximum(999);
@@ -71,8 +71,8 @@ InsPage::InsPage( QWidget* parent, ScribusDoc* currentDoc, int currentPage, int
 	masterPageGroup->setTitle( tr( "Master Pages" ) );
 	masterPageLayout = new QGridLayout( masterPageGroup );
 	masterPageLayout->setAlignment( Qt::AlignTop );
-	masterPageLayout->setSpacing( 5 );
-	masterPageLayout->setMargin( 5 );
+	masterPageLayout->setSpacing( 6 );
+	masterPageLayout->setContentsMargins( 9, 9, 9, 9 );
 	if (m_doc->pagePositioning() == 0)
 	{
 		QComboBox* pageData = new QComboBox(masterPageGroup);
@@ -226,8 +226,8 @@ InsPage::InsPage( QWidget* parent, ScribusDoc* currentDoc, int currentPage, int
 	dsGroupBox7 = new QGroupBox( this );
 	dsGroupBox7->setTitle( tr( "Page Size" ) );
 	dsGroupBox7Layout = new QGridLayout( dsGroupBox7 );
-	dsGroupBox7Layout->setSpacing( 5 );
-	dsGroupBox7Layout->setMargin( 5 );
+	dsGroupBox7Layout->setSpacing( 6 );
+	dsGroupBox7Layout->setContentsMargins( 9, 9, 9, 9 );
 	TextLabel1 = new QLabel( tr( "&Size:" ), dsGroupBox7);
 	dsGroupBox7Layout->addWidget( TextLabel1, 0, 0);
 
@@ -280,8 +280,8 @@ InsPage::InsPage( QWidget* parent, ScribusDoc* currentDoc, int currentPage, int
 	delete ps;
 
 	okCancelLayout = new QHBoxLayout;
-	okCancelLayout->setSpacing( 5 );
-	okCancelLayout->setMargin( 5 );
+	okCancelLayout->setSpacing( 6 );
+	okCancelLayout->setContentsMargins( 0, 0, 0, 0 );
 	QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	okCancelLayout->addItem( spacer );
 
diff --git a/scribus/ui/layers.cpp b/scribus/ui/layers.cpp
index 409c556bdb9e02e991ceeb1aa5a9d2b9028c1498..2f229dae602444db47724721d835ac78a4d4e995 100644
--- a/scribus/ui/layers.cpp
+++ b/scribus/ui/layers.cpp
@@ -48,8 +48,8 @@ LayerPalette::LayerPalette(QWidget* parent) : ScDockPalette(parent, "Layers", Qt
 	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
 	containerWidget = new QWidget(this);
 	LayerPaletteLayout = new QVBoxLayout();
-	LayerPaletteLayout->setMargin(2);
-	LayerPaletteLayout->setSpacing(2);
+	LayerPaletteLayout->setContentsMargins(3, 3, 3, 3);
+	LayerPaletteLayout->setSpacing(3);
 
 	layout1 = new QHBoxLayout;
 	layout1->setMargin(0);
diff --git a/scribus/ui/newdocdialog.cpp b/scribus/ui/newdocdialog.cpp
index 337ddc5d94d6308cb866cdec12e253935630664a..943714b183e331e61710afdc3e754e6563d466d8 100644
--- a/scribus/ui/newdocdialog.cpp
+++ b/scribus/ui/newdocdialog.cpp
@@ -103,8 +103,11 @@ NewDocDialog::NewDocDialog(QWidget* parent, const QStringList& recentDocs, bool
 	setWindowTitle( tr( "New Document" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	TabbedNewDocLayout = new QVBoxLayout( this );
-	TabbedNewDocLayout->setMargin(10);
-	TabbedNewDocLayout->setSpacing(5);
+	if (startUp)
+		TabbedNewDocLayout->setContentsMargins( 9, 9, 9, 9 );
+	else
+		TabbedNewDocLayout->setContentsMargins( 0, 0, 0, 0 );
+	TabbedNewDocLayout->setSpacing(6);
 	if (startUp)
 		tabWidget = new QTabWidget( this );
 	createNewDocPage();
@@ -125,8 +128,11 @@ NewDocDialog::NewDocDialog(QWidget* parent, const QStringList& recentDocs, bool
 		TabbedNewDocLayout->addWidget(newDocFrame);
 
 	Layout1 = new QHBoxLayout;
-	Layout1->setSpacing( 5 );
-	Layout1->setMargin( 0 );
+	if (startUp)
+		Layout1->setContentsMargins( 0, 0, 0, 0 );
+	else
+		Layout1->setContentsMargins( 9, 0, 9, 9 );
+	Layout1->setSpacing( 6 );
 	if (startUp)
 	{
 		startUpDialog = new QCheckBox( tr( "Do not show this dialog again" ), this );
@@ -180,8 +186,8 @@ void NewDocDialog::createNewDocPage()
 	pageSizeGroupBox = new QGroupBox(newDocFrame );
 	pageSizeGroupBox->setTitle( tr( "Document Layout" ) );
 	pageSizeGroupBoxLayout = new QGridLayout( pageSizeGroupBox );
-	pageSizeGroupBoxLayout->setMargin(10);
-	pageSizeGroupBoxLayout->setSpacing(5);
+	pageSizeGroupBoxLayout->setContentsMargins( 9, 9, 9, 9 );
+	pageSizeGroupBoxLayout->setSpacing(6);
 	pageSizeGroupBoxLayout->setAlignment( Qt::AlignTop );
 
 	layoutsView = new PageLayoutsWidget( pageSizeGroupBox );
@@ -275,8 +281,8 @@ void NewDocDialog::createNewDocPage()
 	optionsGroupBox = new QGroupBox( newDocFrame );
 	optionsGroupBox->setTitle( tr( "Options" ) );
 	optionsGroupBoxLayout = new QGridLayout( optionsGroupBox );
-	optionsGroupBoxLayout->setSpacing( 5 );
-	optionsGroupBoxLayout->setMargin( 10 );
+	optionsGroupBoxLayout->setSpacing( 6 );
+	optionsGroupBoxLayout->setContentsMargins( 9, 9, 9, 9 );
 	optionsGroupBoxLayout->setAlignment( Qt::AlignTop );
 	pageCountLabel = new QLabel( tr( "N&umber of Pages:" ), optionsGroupBox );
 
@@ -332,8 +338,8 @@ void NewDocDialog::createNewDocPage()
 	optionsGroupBoxLayout->addWidget(startDocSetup, 5, 0, 1, 2, Qt::AlignLeft);
 
 	NewDocLayout = new QGridLayout( newDocFrame );
-	NewDocLayout->setMargin(10);
-	NewDocLayout->setSpacing(5);
+	NewDocLayout->setContentsMargins( 9, 9, 9, 9);
+	NewDocLayout->setSpacing(6);
 	NewDocLayout->addWidget( marginGroup, 1, 0 );
 	NewDocLayout->addWidget( optionsGroupBox, 1, 1 );
 	NewDocLayout->addWidget( pageSizeGroupBox, 0, 0, 1, 2);
@@ -343,6 +349,7 @@ void NewDocDialog::createNewFromTempPage()
 {
 	newFromTempFrame = new QFrame(this);
 	verticalLayout = new QVBoxLayout(newFromTempFrame);
+        verticalLayout->setContentsMargins( 0, 0, 0, 0 );
 	nftGui = new nftwidget(newFromTempFrame);
 	verticalLayout->addWidget(nftGui);
 }
@@ -360,8 +367,8 @@ void NewDocDialog::createOpenDocPage()
 //	formats.remove("PDF (*.pdf *.PDF);;");
 	openDocFrame = new QFrame(this);
 	openDocLayout = new QVBoxLayout(openDocFrame);
-	openDocLayout->setMargin(5);
-	openDocLayout->setSpacing(5);
+	openDocLayout->setContentsMargins( 0, 0, 0, 0 );
+	openDocLayout->setSpacing(6);
 	m_selectedFile = "";
 
 	// With Qt 5.15 we have to be in careful so that new document dialog doesn't display too large on startup.
@@ -410,8 +417,8 @@ void NewDocDialog::createRecentDocPage()
 {
 	recentDocFrame = new QFrame(this);
 	recentDocLayout = new QVBoxLayout(recentDocFrame);
-	recentDocLayout->setMargin(5);
-	recentDocLayout->setSpacing(5);
+	recentDocLayout->setContentsMargins(9, 9, 9, 9);
+	recentDocLayout->setSpacing(6);
 	recentDocListBox = new QListWidget(recentDocFrame);
 	recentDocLayout->addWidget(recentDocListBox);
 	int max = qMin(prefsManager.appPrefs.uiPrefs.recentDocCount, recentDocList.count());
diff --git a/scribus/ui/notesstyleseditor.ui b/scribus/ui/notesstyleseditor.ui
index b3bf87ea0a252de7ec47791a4f6297583d118616..92722b8f4189069e61054532a20de14540225b6b 100644
--- a/scribus/ui/notesstyleseditor.ui
+++ b/scribus/ui/notesstyleseditor.ui
@@ -16,12 +16,6 @@
     <verstretch>0</verstretch>
    </sizepolicy>
   </property>
-  <property name="minimumSize">
-   <size>
-    <width>280</width>
-    <height>360</height>
-   </size>
-  </property>
   <property name="windowTitle">
    <string>Notes Styles Editor</string>
   </property>
diff --git a/scribus/ui/pagepalette_masterpagesbase.ui b/scribus/ui/pagepalette_masterpagesbase.ui
index 015730d041107983bb4f61186d863c2b82dc54e1..cea950c1cbc5f22a2dc6ae8b2e0b6948f22212ff 100644
--- a/scribus/ui/pagepalette_masterpagesbase.ui
+++ b/scribus/ui/pagepalette_masterpagesbase.ui
@@ -20,20 +20,23 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="spacing">
+    <number>3</number>
+   </property>
    <property name="sizeConstraint">
     <enum>QLayout::SetDefaultConstraint</enum>
    </property>
    <property name="leftMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="topMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="rightMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="bottomMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <item>
     <layout class="QHBoxLayout" name="buttonLayout">
diff --git a/scribus/ui/pagepalette_pagesbase.ui b/scribus/ui/pagepalette_pagesbase.ui
index 319d12af9dbc9ae0bfded1fa59aa612edf07e69b..4de424569fc429be59d016cf617f7e931abf6da2 100644
--- a/scribus/ui/pagepalette_pagesbase.ui
+++ b/scribus/ui/pagepalette_pagesbase.ui
@@ -15,19 +15,19 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <property name="spacing">
-    <number>5</number>
+    <number>6</number>
    </property>
    <property name="leftMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="topMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="rightMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <property name="bottomMargin">
-    <number>5</number>
+    <number>3</number>
    </property>
    <item>
     <widget class="QSplitter" name="splitter">
diff --git a/scribus/ui/picsearch.ui b/scribus/ui/picsearch.ui
index 90ffc2dda2d593587756803b361b9dc2c62783e8..108cbc3d5c9b421a12a926ab77567d3f2d499610 100644
--- a/scribus/ui/picsearch.ui
+++ b/scribus/ui/picsearch.ui
@@ -15,21 +15,6 @@
    <string>Result</string>
   </property>
   <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>5</number>
-   </property>
-   <property name="leftMargin">
-    <number>10</number>
-   </property>
-   <property name="topMargin">
-    <number>10</number>
-   </property>
-   <property name="rightMargin">
-    <number>10</number>
-   </property>
-   <property name="bottomMargin">
-    <number>10</number>
-   </property>
    <item>
     <layout class="QHBoxLayout">
      <property name="spacing">
diff --git a/scribus/ui/picsearchoptions.ui b/scribus/ui/picsearchoptions.ui
index 2f24011678c8a65d14b167e88a4f658297f889f1..81bd2c4d8e62dccc6c53c441d6df294d86a5ebc2 100644
--- a/scribus/ui/picsearchoptions.ui
+++ b/scribus/ui/picsearchoptions.ui
@@ -13,12 +13,6 @@
    <string>Search Images</string>
   </property>
   <layout class="QGridLayout" >
-   <property name="margin" >
-    <number>9</number>
-   </property>
-   <property name="spacing" >
-    <number>6</number>
-   </property>
    <item row="0" column="0" >
     <widget class="QLabel" name="textLabel1_2" >
      <property name="text" >
diff --git a/scribus/ui/picstatus.ui b/scribus/ui/picstatus.ui
index 1e5a0405b9944c1c1f000597ddd5defcc2b51a55..fb866c6c369c3cc658dfe28da40644ad0bee56e2 100644
--- a/scribus/ui/picstatus.ui
+++ b/scribus/ui/picstatus.ui
@@ -17,12 +17,6 @@
    <string>Manage Images</string>
   </property>
   <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>5</number>
-   </property>
-   <property name="margin">
-    <number>10</number>
-   </property>
    <item>
     <widget class="QListWidget" name="imageViewArea">
      <property name="minimumSize">
@@ -576,7 +570,16 @@
        <string>Image Tools</string>
       </attribute>
       <layout class="QGridLayout">
-       <property name="margin">
+       <property name="leftMargin">
+        <number>10</number>
+       </property>
+       <property name="topMargin">
+        <number>10</number>
+       </property>
+       <property name="rightMargin">
+        <number>10</number>
+       </property>
+       <property name="bottomMargin">
         <number>10</number>
        </property>
        <property name="spacing">
diff --git a/scribus/ui/printpreviewbase.ui b/scribus/ui/printpreviewbase.ui
index 561ac08f2fa04d4277c15b6fe10d6b1241f2565d..342da041553b9f71a724ff30203d16bb9b58ba46 100644
--- a/scribus/ui/printpreviewbase.ui
+++ b/scribus/ui/printpreviewbase.ui
@@ -14,23 +14,11 @@
    <string>Print Preview</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
-   <property name="spacing">
-    <number>0</number>
-   </property>
-   <property name="leftMargin">
-    <number>0</number>
-   </property>
-   <property name="topMargin">
-    <number>0</number>
-   </property>
-   <property name="rightMargin">
-    <number>0</number>
-   </property>
-   <property name="bottomMargin">
-    <number>0</number>
-   </property>
    <item>
     <layout class="QHBoxLayout" name="topHLayout">
+     <property name="spacing">
+      <number>9</number>
+     </property>
      <item>
       <widget class="QScrollArea" name="previewArea">
        <property name="sizePolicy">
@@ -83,20 +71,17 @@
              <string>Preview Settings</string>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_2">
-             <property name="spacing">
-              <number>5</number>
-             </property>
              <property name="leftMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="topMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="rightMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="bottomMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <item>
               <widget class="PrintLanguageCombo" name="printLanguageCombo"/>
@@ -160,19 +145,19 @@
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_3">
              <property name="spacing">
-              <number>5</number>
+              <number>6</number>
              </property>
              <property name="leftMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="topMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="rightMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <property name="bottomMargin">
-              <number>5</number>
+              <number>0</number>
              </property>
              <item>
               <widget class="QCheckBox" name="antiAliasing">
diff --git a/scribus/undogui.cpp b/scribus/undogui.cpp
index dc430aaedd2af4cce5b9472a79e92a5dbf1b46ba..bd434b5f901a6762ce87cd9a3f04898711c41371 100644
--- a/scribus/undogui.cpp
+++ b/scribus/undogui.cpp
@@ -198,8 +198,8 @@ UndoPalette::UndoPalette(QWidget* parent, const char* name) : UndoGui(parent, na
 	currentSelection = 0;
 	redoItems = 0;
 	QVBoxLayout* layout = new QVBoxLayout(container);
-	layout->setMargin(5);
-	layout->setSpacing(5);
+	layout->setContentsMargins( 3, 3, 3, 3);
+	layout->setSpacing(6);
 	objectBox = new QCheckBox(this);
 	layout->addWidget(objectBox);
 
about.gif (159,451 bytes)
about.gif (159,451 bytes)
about_plugins.gif (73,810 bytes)
about_plugins.gif (73,810 bytes)
align_and_distribute.gif (34,377 bytes)
align_and_distribute.gif (34,377 bytes)
arrange_pages.gif (34,338 bytes)
arrange_pages.gif (34,338 bytes)
check_document.gif (24,189 bytes)
check_document.gif (24,189 bytes)
colors_and_fills.gif (43,032 bytes)
colors_and_fills.gif (43,032 bytes)
insert_page.gif (32,982 bytes)
insert_page.gif (32,982 bytes)
layers.gif (32,129 bytes)
layers.gif (32,129 bytes)

bubu

2020-12-11 20:25

reporter   ~0048548

Spam filter stops these...

manage_masterpages.gif (26,159 bytes)
manage_masterpages.gif (26,159 bytes)
new_document.gif (65,802 bytes)
new_document.gif (65,802 bytes)
picture_browser_1.gif (42,260 bytes)
picture_browser_1.gif (42,260 bytes)
picture_browser_2.gif (38,345 bytes)
picture_browser_2.gif (38,345 bytes)
print_preview.gif (55,428 bytes)
print_preview.gif (55,428 bytes)
startup_new_document.gif (81,057 bytes)
startup_new_document.gif (81,057 bytes)
startup_open_existing.gif (65,370 bytes)
startup_open_existing.gif (65,370 bytes)
startup_recent.gif (26,046 bytes)
startup_recent.gif (26,046 bytes)
startup_template.gif (70,799 bytes)
startup_template.gif (70,799 bytes)

bubu

2020-12-16 12:00

reporter   ~0048574

Is there a problem with this patch or is it simple too big? Sorry... What can I do for resolving the issue?

bubu

2021-01-01 21:21

reporter   ~0048604

I decide to break this patch into more transparent parts.

bubu

2021-01-07 12:45

reporter   ~0048645

Resolved by the child issues (0016400, 0016401, 0016402, 0016403, 0016407), can be closed. Thanks.

PeterBenedek

2021-01-07 17:55

developer   ~0048649

Thank you for your work!

I close this ticket.

Issue History

Date Modified Username Field Change
2020-12-11 18:27 bubu New Issue
2020-12-11 18:27 bubu File Added: dockwidgets_and_window_margin.diff
2020-12-11 18:27 bubu File Added: about.gif
2020-12-11 18:27 bubu File Added: about_plugins.gif
2020-12-11 18:27 bubu File Added: align_and_distribute.gif
2020-12-11 18:27 bubu File Added: arrange_pages.gif
2020-12-11 18:27 bubu File Added: check_document.gif
2020-12-11 18:27 bubu File Added: colors_and_fills.gif
2020-12-11 18:27 bubu File Added: insert_page.gif
2020-12-11 18:27 bubu File Added: layers.gif
2020-12-11 20:25 bubu File Added: manage_masterpages.gif
2020-12-11 20:25 bubu File Added: new_document.gif
2020-12-11 20:25 bubu File Added: picture_browser_1.gif
2020-12-11 20:25 bubu File Added: picture_browser_2.gif
2020-12-11 20:25 bubu File Added: print_preview.gif
2020-12-11 20:25 bubu File Added: startup_new_document.gif
2020-12-11 20:25 bubu File Added: startup_open_existing.gif
2020-12-11 20:25 bubu File Added: startup_recent.gif
2020-12-11 20:25 bubu File Added: startup_template.gif
2020-12-11 20:25 bubu Note Added: 0048548
2020-12-12 16:53 PeterBenedek Relationship added child of 0013906
2020-12-14 07:53 PeterBenedek Summary Unify margins for dockable interfaces and some modal windows => [Patch] Unify margins for dockable interfaces and some modal windows
2020-12-14 07:53 PeterBenedek Patch => No
2020-12-16 12:00 bubu Note Added: 0048574
2021-01-01 21:21 bubu Note Added: 0048604
2021-01-02 07:31 PeterBenedek Relationship added related to 0016400
2021-01-02 07:37 PeterBenedek Description Updated View Revisions
2021-01-02 11:54 PeterBenedek Relationship added related to 0016401
2021-01-02 15:55 PeterBenedek Relationship added related to 0016402
2021-01-02 15:58 PeterBenedek Relationship deleted child of 0013906
2021-01-02 21:04 PeterBenedek Relationship added related to 0016403
2021-01-07 07:07 PeterBenedek Relationship added related to 0016407
2021-01-07 12:45 bubu Note Added: 0048645
2021-01-07 17:55 PeterBenedek Note Added: 0048649
2021-01-07 17:56 PeterBenedek Assigned To => jghali
2021-01-07 17:56 PeterBenedek Status new => closed
2021-01-07 17:56 PeterBenedek Resolution open => fixed
2021-01-07 17:56 PeterBenedek Fixed in Version => 1.5.7.svn